/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2004-2008 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2010 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 * 
 *  嵭Ԥϡʲ (1)(4) ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣѡ
 *  ۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ǤǺۤˤϡۤȼɥȡѼԥ
 *      ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ̵
 *      ڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ǤʤǺۤˤϡΤ줫ξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡޤ
 *      ܥեȥΥ桼ޤϥɥ桼Τʤͳ˴
 *      ᤫ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪФ
 *  ŬޤơʤݾڤԤʤޤܥեȥ
 *  ˤľŪޤϴŪʤ»˴ؤƤ⡤Ǥ
 *  ʤ
 * 
 */

/*
 *		TOPPERS/ASPͥɸإåե
 *
 *  ΥإåեϡͥץΥե
 *  ɬ󥯥롼ɤ٤ɸإåեǤ롥
 *
 *  ֥Υե뤫餳Υե򥤥󥯥롼ɤ
 *  ϡTOPPERS_MACRO_ONLYƤˤꡤޥʳ
 *  褦ˤʤäƤ롥
 */

#ifndef TOPPERS_KERNEL_IMPL_H
#define TOPPERS_KERNEL_IMPL_H

/*
 *  ͥ̾Υ͡
 */
#include "kernel_rename.h"

/*
 *  ץꥱȶ̤Υإåե
 */
#include <kernel.h>

/*
 *  㥹ȤԤޥ
 */
#ifndef CAST
#define CAST(type, val)		((type)(val))
#endif /* CAST */

/*
 *  åȰ¸
 */
#include "target_config.h"

/*
 *  ٤Ƥδؿ򥳥ѥ뤹뤿
 */
#ifdef ALLFUNC
#include "allfunc.h"
#endif /* ALLFUNC */

/*
 *  ӥåȥեɤǤ̵
 *
 *  8ӥåȰʲΥӥåȥեɤǡ̵ͤݻ
 *  Ѥ٤ǡANSI CǤϡӥåȥեɤΥǡˤ
 *  intunsigned intʤᡤǥեȤunsigned
 *  intȤƤ뤬åȤӥġ¸ǡunsigned charޤ
 *  unsigned shortΨɤ礬롥
 */
#ifndef BIT_FIELD_UINT
#define BIT_FIELD_UINT		unsigned int
#endif /* BIT_FIELD_UINT */

/*
 *  ӥåȥեɤǤΥ֡뷿
 *
 *  1ӥåΥӥåȥեɤǡ֡ͤݻѤ٤
 *  ǡǥեȤǤBIT_FIELD_UINTƱƤ뤬֡
 *  ͤݻ뤳Ȥ뤿̤̾ΤȤƤ롥
 */
#ifndef BIT_FIELD_BOOL
#define BIT_FIELD_BOOL		BIT_FIELD_UINT
#endif /* BIT_FIELD_BOOL */

/*
 *  ֥IDκǾͤ
 */
#define TMIN_TSKID		1		/* IDκǾ */
#define TMIN_CYCID		1		/* ϥɥIDκǾ */
#define TMIN_ALMID		1		/* 顼ϥɥIDκǾ */

/*
 *  ͥ٤ʳ
 */
#define TNUM_TPRI		(TMAX_TPRI - TMIN_TPRI + 1)
#define TNUM_INTPRI		(TMAX_INTPRI - TMIN_INTPRI + 1)

/*
 *  إåեʤ⥸塼δؿѿ
 */
#ifndef TOPPERS_MACRO_ONLY

/*
 *  ƥ⥸塼νkernel_cfg.c
 */
extern void	initialize_object(void);

/*
 *  롼μ¹ԡkernel_cfg.c
 */
extern void	call_inirtn(void);

/*
 *  λ롼μ¹ԡkernel_cfg.c
 */
extern void	call_terrtn(void);

/*
 *  󥿥ƥѤΥåΰkernel_cfg.c
 */
extern const SIZE	istksz;		/* åΰΥʴݤ᤿͡ */
extern STK_T *const	istk;		/* åΰƬ */
#ifdef TOPPRES_ISTKPT
extern STK_T *const	istkpt;		/* åݥ󥿤ν */
#endif /* TOPPERS_ISTKPT */

/*
 *  ͥư֥ե饰startup.c
 */
extern bool_t	kerflg;

/*
 *  ͥεưstartup.c
 */
extern void	sta_ker(void);

/*
 *  ͥνλstartup.c
 */
extern void	exit_kernel(void);

#endif /* TOPPERS_MACRO_ONLY */
#endif /* TOPPERS_KERNEL_IMPL_H */
