/*
 *  TOPPERS/SSP Kernel
 *      Smallest Set Profile Kernel
 *
 *  Copyright (C) 2000-2003 by Embedded and Real-Time Systems Laboratory
 *                              Toyohashi Univ. of Technology, JAPAN
 *  Copyright (C) 2005-2009 by Embedded and Real-Time Systems Laboratory
 *              Graduate School of Information Science, Nagoya Univ., JAPAN
 *  Copyright (C) 2010 by Naoki Saito
 *             Nagoya Municipal Industrial Research Institute, JAPAN
 *  Copyright (C) 2010-2011 by Meika Sugimoto
 * 
 *  嵭Ԥϡʲ (1)(4) ξ˸¤ꡤܥեȥ
 *  ܥեȥѤΤޤࡥʲƱˤѡʣѡ
 *  ۡʰʲѤȸƤ֡ˤ뤳Ȥ̵ǵ롥
 *  (1) ܥեȥ򥽡ɤηѤˤϡ嵭
 *      ɽѾ浪Ӳ̵ݾڵ꤬Τޤޤηǥ
 *      ˴ޤޤƤ뤳ȡ
 *  (2) ܥեȥ򡤥饤֥ʤɡ¾Υեȥȯ˻
 *      ǤǺۤˤϡۤȼɥȡѼԥ
 *      ˥奢ʤɡˤˡ嵭ɽѾ浪Ӳ̵
 *      ڵǺܤ뤳ȡ
 *  (3) ܥեȥ򡤵Ȥ߹ʤɡ¾Υեȥȯ˻
 *      ǤʤǺۤˤϡΤ줫ξȡ
 *    (a) ۤȼɥȡѼԥޥ˥奢ʤɡˤˡ嵭
 *        ɽѾ浪Ӳ̵ݾڵǺܤ뤳ȡ
 *    (b) ۤη֤̤ˡˤäơTOPPERSץȤ
 *        𤹤뤳ȡ
 *  (4) ܥեȥѤˤľŪޤϴŪ뤤ʤ»
 *      ⡤嵭ԤTOPPERSץȤդ뤳ȡޤ
 *      ܥեȥΥ桼ޤϥɥ桼Τʤͳ˴
 *      ᤫ⡤嵭ԤTOPPERSץȤդ뤳ȡ
 * 
 *  ܥեȥϡ̵ݾڤ󶡤ƤΤǤ롥嵭Ԥ
 *  TOPPERSץȤϡܥեȥ˴ؤơλŪФ
 *  ŬޤơʤݾڤԤʤޤܥեȥ
 *  ˤľŪޤϴŪʤ»˴ؤƤ⡤Ǥ
 *  ʤ
 * 
 */

/*
 *		ͥνȽλ
 */

#include "task.h"
#include "t_stddef.h"
#include "kernel_impl.h"
#include <sil.h>

/*
 *  ȥ졼ޥΥǥե
 */
#ifndef LOG_KER_ENTER
#define LOG_KER_ENTER()
#endif /* LOG_KER_ENTER */

#ifndef LOG_KER_LEAVE
#define LOG_KER_LEAVE()
#endif /* LOG_KER_LEAVE */

#ifndef LOG_EXT_KER_ENTER
#define LOG_EXT_KER_ENTER()
#endif /* LOG_EXT_KER_ENTER */

#ifndef LOG_EXT_KER_LEAVE
#define LOG_EXT_KER_LEAVE(ercd)
#endif /* LOG_EXT_KER_LEAVE */


/*
 *  ͥư֥ե饰
 *
 *  ȥåץ롼ǡfalseʡ0ˤ˽뤳ȤԤ
 *  롥
 */
bool_t	kerflg = false;


/*
 *  ͥεư
 *    NMIƤγߤޥ줿(ߥå֤)ǸƤӽФ롥
 */
void
sta_ker(void)
{
	target_initialize();
	
	initialize_object();
	
	call_inirtn();
	
	/*
	 *  ͥư򳫻Ϥ롥
	 */	
	kerflg = true;
	
	/* ǥѥåưư򳫻Ϥ */
	LOG_KER_ENTER();
	start_dispatch();
	assert(false);
}


/*
 *  ͥνλ
 */
ER
ext_ker(void)
{
	SIL_PRE_LOC;
	
	LOG_EXT_KER_ENTER();
	
	/*
	 *  ߥå֤˰ܹ
	 */
	SIL_LOC_INT();
	
	/*
	 *  ͥưνλ
	 */
	LOG_KER_LEAVE();
	kerflg = false;
	
	/*
	 *  ͥνλθƽФ
	 *
	 *  󥿥ƥȤڤ괹ơexit_kernelƤӽФ
	 */
	call_exit_kernel();
	
	/*
	 *  SIL_UNL_INTƤӽФã뤳ȤϤʤ
	 *  ҤΤSIL_PRE_LOCѿˡ
	 *  ѥ餬Ϥٹ뤿Ǥ롥
	 */
	SIL_UNL_INT();
	LOG_EXT_KER_LEAVE(E_SYS)
	
	return E_SYS;
}


/*
 *  ͥνλ
 */
void
exit_kernel(void)
{
	/*
	 *  λ롼μ¹
	 */
	call_terrtn();
	
	/*
	 *  åȰ¸νλ
	 */
	target_exit();
	assert(false);
}

